/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	Map.h
*摘要：		游戏主地图类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
#include "PublicFun.h"

class Map
{

public:
	void Init();
	int KeyDown(WPARAM KeyCode);
	void Show(WPARAM KeyCode);
	void InitMap(int type,int index,int x,int y);
	void InitMapNoEvent(int type,int index,int x,int y);
	void SetPos(int x,int y);
	int TestNpc(int inx,int iny);

	byte enableByte[256*256];//[10000];
	byte eventByte[256*256];
	byte tileByte[128][4];
	int mapByteLen;
	int x;
	int y;
	int width;
	int height;
	int tileType;
	int mapType;
	int mapIdx;
	int dirction;//方向 用于enter判断
	int mapNpc[256][256];//存储npc位置，每次需更新
	char mapName[8+1];
};